net.i2p.router.web

## Class ConfigUpdateHandler

- java.lang.Object
- - net.i2p.router.web.FormHandler
  - - net.i2p.router.web.ConfigUpdateHandler

    public class ConfigUpdateHandler
    extends FormHandler

### Field Summary

Fields
`static String` `DEFAULT_NEWS_URL`
`static String` `DEFAULT_PROXY_HOST`
`static String` `DEFAULT_PROXY_PORT`
`static int` `DEFAULT_PROXY_PORT_INT`
`static String` `DEFAULT_REFRESH_FREQUENCY`
`static String` `DEFAULT_SHOULD_PROXY`
`static String` `DEFAULT_UPDATE_POLICY`
`static String` `DEFAULT_UPDATE_URL`
`static String` `OLD_DEFAULT_NEWS_URL`
`static String` `PROP_NEWS_URL`
`static String` `PROP_PROXY_HOST`
`static String` `PROP_PROXY_PORT`
`static String` `PROP_REFRESH_FREQUENCY`
`static String` `PROP_SHOULD_PROXY`
`static String` `PROP_TRUSTED_KEYS`
`static String` `PROP_UPDATE_DISABLED` default false - use for distros
`static String` `PROP_UPDATE_POLICY`
`static String` `PROP_UPDATE_UNSIGNED` default false
`static String` `PROP_UPDATE_URL`
`static String` `PROP_ZIP_URL` no default

### Fields inherited from class net.i2p.router.web.FormHandler

`_action, _context, _log, _method, _passphrase`

### Constructor Summary

Constructors
Constructor and Description
`ConfigUpdateHandler()`

### Method Summary

Methods
`protected void` `processForm()` Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)
`void` `setNewsURL(String url)`
`void` `setProxyHost(String host)`
`void` `setProxyPort(String port)`
`void` `setRefreshFrequency(String freq)`
`void` `setTrustedKeys(String keys)`
`void` `setUpdatePolicy(String policy)`
`void` `setUpdateThroughProxy(String foo)`
`void` `setUpdateUnsigned(String foo)`
`void` `setUpdateURL(String url)`
`void` `setZipURL(String url)`

### Methods inherited from class net.i2p.router.web.FormHandler

`_, _, _, addFormError, addFormNotice, getAllMessages, getErrors, getNewNonce, getNotices, setAction, setContextId, setNonce, setPassphrase, storeMethod`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROP_NEWS_URL

    public static final String PROP_NEWS_URL

See Also:
  Constant Field Values

#### OLD_DEFAULT_NEWS_URL

    public static final String OLD_DEFAULT_NEWS_URL

See Also:
  Constant Field Values

#### DEFAULT_NEWS_URL

    public static final String DEFAULT_NEWS_URL

See Also:
  Constant Field Values

#### PROP_REFRESH_FREQUENCY

    public static final String PROP_REFRESH_FREQUENCY

See Also:
  Constant Field Values

#### DEFAULT_REFRESH_FREQUENCY

    public static final String DEFAULT_REFRESH_FREQUENCY

See Also:
  Constant Field Values

#### PROP_UPDATE_POLICY

    public static final String PROP_UPDATE_POLICY

See Also:
  Constant Field Values

#### DEFAULT_UPDATE_POLICY

    public static final String DEFAULT_UPDATE_POLICY

See Also:
  Constant Field Values

#### PROP_SHOULD_PROXY

    public static final String PROP_SHOULD_PROXY

See Also:
  Constant Field Values

#### DEFAULT_SHOULD_PROXY

    public static final String DEFAULT_SHOULD_PROXY

#### PROP_PROXY_HOST

    public static final String PROP_PROXY_HOST

See Also:
  Constant Field Values

#### DEFAULT_PROXY_HOST

    public static final String DEFAULT_PROXY_HOST

See Also:
  Constant Field Values

#### PROP_PROXY_PORT

    public static final String PROP_PROXY_PORT

See Also:
  Constant Field Values

#### DEFAULT_PROXY_PORT_INT

    public static final int DEFAULT_PROXY_PORT_INT

See Also:
  Constant Field Values

#### DEFAULT_PROXY_PORT

    public static final String DEFAULT_PROXY_PORT

See Also:
  Constant Field Values

#### PROP_UPDATE_UNSIGNED

    public static final String PROP_UPDATE_UNSIGNED

default false

See Also:
  Constant Field Values

#### PROP_UPDATE_DISABLED

    public static final String PROP_UPDATE_DISABLED

default false - use for distros

See Also:
  Constant Field Values

#### PROP_ZIP_URL

    public static final String PROP_ZIP_URL

no default

See Also:
  Constant Field Values

#### PROP_UPDATE_URL

    public static final String PROP_UPDATE_URL

See Also:
  Constant Field Values

#### DEFAULT_UPDATE_URL

    public static final String DEFAULT_UPDATE_URL

#### PROP_TRUSTED_KEYS

    public static final String PROP_TRUSTED_KEYS

See Also:
  Constant Field Values

### Constructor Detail

#### ConfigUpdateHandler

    public ConfigUpdateHandler()

### Method Detail

#### processForm

    protected void processForm()

Description copied from class: `FormHandler`
Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)

Overrides:
  `processForm` in class `FormHandler`

#### setNewsURL

    public void setNewsURL(String url)

#### setRefreshFrequency

    public void setRefreshFrequency(String freq)

#### setUpdateURL

    public void setUpdateURL(String url)

#### setUpdatePolicy

    public void setUpdatePolicy(String policy)

#### setTrustedKeys

    public void setTrustedKeys(String keys)

#### setUpdateThroughProxy

    public void setUpdateThroughProxy(String foo)

#### setProxyHost

    public void setProxyHost(String host)

#### setProxyPort

    public void setProxyPort(String port)

#### setUpdateUnsigned

    public void setUpdateUnsigned(String foo)

#### setZipURL

    public void setZipURL(String url)